# Deprecated API

## Contents

- Classes
- Enum Classes
- Methods
- Enum Constants

Deprecated Classes
Class
Description
org.pgpainless.key.generation.type.elgamal.ElGamal
the use of ElGamal is not recommended anymore.

Deprecated Enum Classes
Enum Class
Description
org.pgpainless.key.generation.type.elgamal.ElGamalLength
the use of ElGamal keys is no longer recommended.

Deprecated Methods
Method
Description
org.pgpainless.decryption_verification.ConsumerOptions.getCertificates()
use `ConsumerOptions.getCertificateSource()` instead.
org.pgpainless.decryption_verification.ConsumerOptions.setIgnoreMDCErrors(boolean)
org.pgpainless.decryption_verification.DecryptionStream.getResult()
use `DecryptionStream.getMetadata()` instead.
org.pgpainless.encryption_signing.ProducerOptions.setEncoding(StreamEncoding)
options other than the default value of `StreamEncoding.BINARY` are discouraged.
org.pgpainless.encryption_signing.ProducerOptions.setForYourEyesOnly()
deprecated since at least crypto-refresh-05. It is not recommended using this special filename in newly generated literal data packets
org.pgpainless.key.OpenPgpFingerprint.parse(String)
Use the constructor methods of the versioned fingerprint subclasses instead.
org.pgpainless.key.OpenPgpFingerprint.parseFromBinary(byte[])
use the parse() methods of the versioned fingerprint subclasses instead.
org.pgpainless.key.protection.SecretKeyRingProtector.unlockAllKeysWith(Passphrase, PGPSecretKeyRing)
use `SecretKeyRingProtector.unlockEachKeyWith(Passphrase, PGPSecretKeyRing)` instead. TODO: Remove in 1.2.X
org.pgpainless.key.util.UserId.asString()
use `UserId.toString()` instead.
org.pgpainless.policy.Policy.CompressionAlgorithmPolicy.defaultCompressionAlgorithmPolicy()
not expressive - might be removed in a future release
org.pgpainless.policy.Policy.HashAlgorithmPolicy.defaultRevocationSignatureHashAlgorithmPolicy()
not expressive - will be removed in an upcoming release
org.pgpainless.policy.Policy.HashAlgorithmPolicy.defaultSignatureAlgorithmPolicy()
not expressive - will be removed in an upcoming release
org.pgpainless.policy.Policy.PublicKeyAlgorithmPolicy.defaultPublicKeyAlgorithmPolicy()
not expressive - might be removed in a future release
org.pgpainless.policy.Policy.SymmetricKeyAlgorithmPolicy.defaultSymmetricKeyDecryptionAlgorithmPolicy()
not expressive - will be removed in a future update
org.pgpainless.policy.Policy.SymmetricKeyAlgorithmPolicy.defaultSymmetricKeyEncryptionAlgorithmPolicy()
not expressive - will be removed in a future release
org.pgpainless.signature.consumer.SignatureCheck.getFingerprint()
use `SignatureCheck.getSigningKeyIdentifier()` instead. TODO: Remove in 1.2.X

Deprecated Enum Constants
Enum Constant
Description
org.pgpainless.algorithm.HashAlgorithm.MD5
org.pgpainless.algorithm.PublicKeyAlgorithm.EC
use `PublicKeyAlgorithm.ECDH` instead.
org.pgpainless.algorithm.PublicKeyAlgorithm.ELGAMAL_GENERAL
see Deprecation notice
org.pgpainless.algorithm.PublicKeyAlgorithm.RSA_ENCRYPT
see Deprecation notice
org.pgpainless.algorithm.PublicKeyAlgorithm.RSA_SIGN
see Deprecation notice
org.pgpainless.algorithm.StreamEncoding.LOCAL
org.pgpainless.algorithm.SymmetricKeyAlgorithm.IDEA
use a different algorithm.
org.pgpainless.key.generation.type.rsa.RsaLength._1024
org.pgpainless.key.generation.type.rsa.RsaLength._2048